# This spec is backported to ALTLinux p8 automatically by rpmbph script from etersoft-build-utils.
#
%def_without check
%def_with python3

%define modulename regex
Name: python-module-regex
Version: 2017.09.23
Release: alt1.M80P.2

Summary: Alternative regular expression module, to replace re

Url: https://pypi.python.org/pypi/regex/
License: Python Software Foundation License
Group: Development/Python


Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://pypi.io/packages/source/r/%modulename/%modulename-%version.tar.gz
Source: %name-%version.tar

BuildRequires: python-dev python-module-setuptools

%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
%endif

#setup_python_module %modulename

%description
This regex implementation is backwards-compatible with the standard 're' module, but offers additional functionality.


%package -n python3-module-regex
Summary: Alternative regular expression module, to replace re
Group: Development/Python3

%description -n python3-module-regex
This regex implementation is backwards-compatible with the standard 're' module, but offers additional functionality.


%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build_debug

%if_with python3
pushd ../python3
%python3_build_debug
popd
%endif

%install
%python_install

%if_with python3
pushd ../python3
%python3_install
popd
%endif

# remove test modules (with module test requires)
rm -rf %buildroot/%python_sitelibdir/test_*
rm -rf %buildroot/%python3_sitelibdir/test_*

%files
%doc README docs/
%python_sitelibdir/*

%if_with python3
%files -n python3-module-regex
%doc README docs/
%python3_sitelibdir/*
%endif


%changelog
* Mon Oct 02 2017 Vitaly Lipatov <lav@altlinux.ru> 2017.09.23-alt1.M80P.2
- backport to ALTLinux p8 (by rpmbph script)

* Mon Oct 02 2017 Vitaly Lipatov <lav@altlinux.ru> 2017.09.23-alt2
- drop python*(test) requires

* Mon Oct 02 2017 Vitaly Lipatov <lav@altlinux.ru> 2017.09.23-alt1
- initial build for ALT Sisyphus

